Unbind
Storage

Test S3 Access

Validate S3 credentials that are not stored yet by writing and deleting a probe object in the bucket. Reaches an external endpoint.

POST
/storage/s3/test

Validate S3 credentials that are not stored yet by writing and deleting a probe object in the bucket. Reaches an external endpoint.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token or API key (unb_...) passed as Authorization: Bearer <token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

access_key_id*string
Length1 <= length
bucket*string
Length1 <= length
endpoint*string
Length1 <= length
region*string
secret_key*string
Length1 <= length
team_id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/storage/s3/test" \  -H "Content-Type: application/json" \  -d '{    "access_key_id": "string",    "bucket": "string",    "endpoint": "string",    "region": "string",    "secret_key": "string",    "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba"  }'
{  "data": {    "error": "string",    "valid": true  }}